ChangeSet 1.1094.6.11, 2003/03/14 11:58:58-08:00, elenstev@mesatop.com

[PATCH] USB: spelling fixes for drivers/usb

This spelling and typo cleanup patch was reviewed by Mike Hayes and
Jared Daniel J. Smith.


 drivers/usb/class/bluetty.c           |    4 ++--
 drivers/usb/class/cdc-acm.c           |    4 ++--
 drivers/usb/class/usb-midi.c          |    2 +-
 drivers/usb/core/hub.c                |    4 ++--
 drivers/usb/core/urb.c                |    2 +-
 drivers/usb/host/hc_simple.c          |    2 +-
 drivers/usb/host/hc_simple.h          |    4 ++--
 drivers/usb/host/hc_sl811.h           |    2 +-
 drivers/usb/image/hpusbscsi.c         |    4 ++--
 drivers/usb/image/hpusbscsi.h         |    2 +-
 drivers/usb/image/scanner.c           |    6 +++---
 drivers/usb/input/hid-core.c          |    2 +-
 drivers/usb/input/hid-input.c         |    2 +-
 drivers/usb/input/hid.h               |    6 +++---
 drivers/usb/media/konicawc.c          |    2 +-
 drivers/usb/media/pwc-ctrl.c          |    2 +-
 drivers/usb/media/pwc-if.c            |    6 +++---
 drivers/usb/media/pwc-uncompress.c    |    2 +-
 drivers/usb/media/pwc.h               |    2 +-
 drivers/usb/media/se401.c             |    2 +-
 drivers/usb/media/vicam.c             |    2 +-
 drivers/usb/misc/auerswald.c          |   16 ++++++++--------
 drivers/usb/misc/speedtouch.c         |    2 +-
 drivers/usb/net/usbnet.c              |    2 +-
 drivers/usb/serial/belkin_sa.c        |    2 +-
 drivers/usb/serial/cyberjack.c        |    2 +-
 drivers/usb/serial/io_edgeport.c      |    2 +-
 drivers/usb/serial/io_ionsp.h         |    2 +-
 drivers/usb/serial/ir-usb.c           |    4 ++--
 drivers/usb/serial/keyspan_usa26msg.h |    2 +-
 drivers/usb/serial/keyspan_usa28msg.h |    2 +-
 drivers/usb/serial/keyspan_usa49msg.h |    2 +-
 drivers/usb/serial/usb-serial.c       |    4 ++--
 drivers/usb/serial/usb-serial.h       |    2 +-
 drivers/usb/storage/isd200.c          |    6 +++---
 drivers/usb/storage/transport.h       |    2 +-
 drivers/usb/usb-skeleton.c            |    2 +-
 37 files changed, 59 insertions(+), 59 deletions(-)


diff -Nru a/drivers/usb/class/bluetty.c b/drivers/usb/class/bluetty.c
--- a/drivers/usb/class/bluetty.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/class/bluetty.c	Mon Mar 17 11:46:18 2003
@@ -168,7 +168,7 @@
 	int			magic;
 	struct usb_device *	dev;
 	struct tty_driver *	tty_driver;	/* the tty_driver for this device */
-	struct tty_struct *	tty;		/* the coresponding tty for this port */
+	struct tty_struct *	tty;		/* the corresponding tty for this port */
 
 	unsigned char		minor;		/* the starting minor number for this device */
 	int			throttle;	/* throttled by tty layer */
@@ -1328,7 +1328,7 @@
 	int i;
 	int result;
 
-	/* Initalize our global data */
+	/* Initialize our global data */
 	for (i = 0; i < BLUETOOTH_TTY_MINORS; ++i) {
 		bluetooth_table[i] = NULL;
 	}
diff -Nru a/drivers/usb/class/cdc-acm.c b/drivers/usb/class/cdc-acm.c
--- a/drivers/usb/class/cdc-acm.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/class/cdc-acm.c	Mon Mar 17 11:46:18 2003
@@ -138,9 +138,9 @@
  */
 
 struct acm {
-	struct usb_device *dev;				/* the coresponding usb device */
+	struct usb_device *dev;				/* the corresponding usb device */
 	struct usb_interface *iface;			/* the interfaces - +0 control +1 data */
-	struct tty_struct *tty;				/* the coresponding tty */
+	struct tty_struct *tty;				/* the corresponding tty */
 	struct urb *ctrlurb, *readurb, *writeurb;	/* urbs */
 	struct acm_line line;				/* line coding (bits, stop, parity) */
 	struct work_struct work;					/* work queue entry for line discipline waking up */
diff -Nru a/drivers/usb/class/usb-midi.c b/drivers/usb/class/usb-midi.c
--- a/drivers/usb/class/usb-midi.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/class/usb-midi.c	Mon Mar 17 11:46:18 2003
@@ -1270,7 +1270,7 @@
 	return NULL;
 }
 
-/** Utility to find a class-specfic interface descriptor.
+/** Utility to find a class-specific interface descriptor.
  *  dsubtype is a descriptor subtype
  *  Called by parseDescriptor();
  **/
diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/core/hub.c	Mon Mar 17 11:46:18 2003
@@ -516,7 +516,7 @@
 
 	endpoint = &desc->endpoint[0].desc;
 
-	/* Output endpoint? Curiousier and curiousier.. */
+	/* Output endpoint? Curiouser and curiouser.. */
 	if (!(endpoint->bEndpointAddress & USB_DIR_IN)) {
 		goto descriptor_error;
 	}
@@ -958,7 +958,7 @@
 	int i, ret;
 
 	/*
-	 *  We restart the list everytime to avoid a deadlock with
+	 *  We restart the list every time to avoid a deadlock with
 	 * deleting hubs downstream from this one. This should be
 	 * safe since we delete the hub from the event list.
 	 * Not the most efficient, but avoids deadlocks.
diff -Nru a/drivers/usb/core/urb.c b/drivers/usb/core/urb.c
--- a/drivers/usb/core/urb.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/core/urb.c	Mon Mar 17 11:46:18 2003
@@ -69,7 +69,7 @@
  * usb_get_urb - increments the reference count of the urb
  * @urb: pointer to the urb to modify
  *
- * This must be  called whenever a urb is transfered from a device driver to a
+ * This must be  called whenever a urb is transferred from a device driver to a
  * host controller driver.  This allows proper reference counting to happen
  * for urbs.
  *
diff -Nru a/drivers/usb/host/hc_simple.c b/drivers/usb/host/hc_simple.c
--- a/drivers/usb/host/hc_simple.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/host/hc_simple.c	Mon Mar 17 11:46:18 2003
@@ -605,7 +605,7 @@
 /***************************************************************************
  * Function Name : sh_scan_iso_urb_list
  *
- * This function goes throught the isochronous urb list and schedule the 
+ * This function goes through the isochronous urb list and schedule the 
  * the transfer.   
  *
  * Note: This function has not tested yet
diff -Nru a/drivers/usb/host/hc_simple.h b/drivers/usb/host/hc_simple.h
--- a/drivers/usb/host/hc_simple.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/host/hc_simple.h	Mon Mar 17 11:46:18 2003
@@ -44,8 +44,8 @@
 	int devnum;		/* Address of Root Hub endpoint */
 	void *urb;		/* interrupt URB of root hub */
 	int send;		/* active flag */
-	int interval;		/* intervall of roothub interrupt transfers */
-	struct timer_list rh_int_timer;	/* intervall timer for rh interrupt EP */
+	int interval;		/* interval of roothub interrupt transfers */
+	struct timer_list rh_int_timer;	/* interval timer for rh interrupt EP */
 };
 
 #if 1
diff -Nru a/drivers/usb/host/hc_sl811.h b/drivers/usb/host/hc_sl811.h
--- a/drivers/usb/host/hc_sl811.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/host/hc_sl811.h	Mon Mar 17 11:46:18 2003
@@ -368,7 +368,7 @@
 
 #define SL11H_CTL1VAL_RESET	8
 
-/* Interrut enable (addr 6) and interrupt status register bits (addr 0xD) */
+/* Interrupt enable (addr 6) and interrupt status register bits (addr 0xD) */
 #define SL11H_INTMASK_XFERDONE	1
 #define SL11H_INTMASK_SOFINTR	0x10
 #define SL11H_INTMASK_INSRMV	0x20
diff -Nru a/drivers/usb/image/hpusbscsi.c b/drivers/usb/image/hpusbscsi.c
--- a/drivers/usb/image/hpusbscsi.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/image/hpusbscsi.c	Mon Mar 17 11:46:18 2003
@@ -303,7 +303,7 @@
 		} else {
                 	usb_callback = simple_payload_callback;
 		}
-		/* Now we find out which direction data is to be transfered in */
+		/* Now we find out which direction data is to be transferred in */
 		hpusbscsi->current_data_pipe = DIRECTION_IS_IN(srb->cmnd[0]) ?
 			usb_rcvbulkpipe(hpusbscsi->dev, hpusbscsi->ep_in)
 		:
@@ -410,7 +410,7 @@
 	}
 
 	if (hpusbscsi->scallback != NULL && hpusbscsi->state == HP_STATE_WAIT && scsi_state != CHECK_CONDITION <<1 )
-		/* we do a callback to the scsi layer if and only if all data has been transfered */
+		/* we do a callback to the scsi layer if and only if all data has been transferred */
 		hpusbscsi->scallback(hpusbscsi->srb);
 
 	TRACE_STATE;
diff -Nru a/drivers/usb/image/hpusbscsi.h b/drivers/usb/image/hpusbscsi.h
--- a/drivers/usb/image/hpusbscsi.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/image/hpusbscsi.h	Mon Mar 17 11:46:18 2003
@@ -85,7 +85,7 @@
 
 /* defines for internal driver state */
 #define HP_STATE_FREE                 0  /*ready for next request */
-#define HP_STATE_BEGINNING      1  /*command being transfered */
+#define HP_STATE_BEGINNING      1  /*command being transferred */
 #define HP_STATE_WORKING         2  /* data transfer stage */
 #define HP_STATE_ERROR             3  /* error has been reported */
 #define HP_STATE_WAIT                 4  /* waiting for status transfer */
diff -Nru a/drivers/usb/image/scanner.c b/drivers/usb/image/scanner.c
--- a/drivers/usb/image/scanner.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/image/scanner.c	Mon Mar 17 11:46:18 2003
@@ -33,8 +33,8 @@
  *  0.1  8/31/1999
  *
  *    Developed/tested using linux-2.3.15 with minor ohci.c changes to
- *    support short packes during bulk xfer mode.  Some testing was
- *    done with ohci-hcd but the performace was low.  Very limited
+ *    support short packets during bulk xfer mode.  Some testing was
+ *    done with ohci-hcd but the performance was low.  Very limited
  *    testing was performed with uhci but I was unable to get it to
  *    work.  Initial relase to the linux-usb development effort.
  *
@@ -338,7 +338,7 @@
  *      Till Kamppeter <till.kamppeter@gmx.net> and others for all the ids.
  *    - Cleaned up list of vendor/product ids.
  *    - Print information about user-supplied ids only once at startup instead
- *      of everytime any USB device is plugged in.
+ *      of every time any USB device is plugged in.
  *    - Removed PV8630 ioctls. Use the standard ioctls instead.
  *    - Made endpoint detection more generic. Basically, only one bulk-in 
  *      endpoint is required, everything else is optional.
diff -Nru a/drivers/usb/input/hid-core.c b/drivers/usb/input/hid-core.c
--- a/drivers/usb/input/hid-core.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/input/hid-core.c	Mon Mar 17 11:46:18 2003
@@ -954,7 +954,7 @@
 
 /*
  * Set a field value. The report this field belongs to has to be
- * created and transfered to the device, to set this value in the
+ * created and transferred to the device, to set this value in the
  * device.
  */
 
diff -Nru a/drivers/usb/input/hid-input.c b/drivers/usb/input/hid-input.c
--- a/drivers/usb/input/hid-input.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/input/hid-input.c	Mon Mar 17 11:46:18 2003
@@ -480,7 +480,7 @@
 /*
  * Register the input device; print a message.
  * Configure the input layer interface
- * Read all reports and initalize the absoulte field values.
+ * Read all reports and initialize the absolute field values.
  */
 
 int hidinput_connect(struct hid_device *hid)
diff -Nru a/drivers/usb/input/hid.h b/drivers/usb/input/hid.h
--- a/drivers/usb/input/hid.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/input/hid.h	Mon Mar 17 11:46:18 2003
@@ -209,8 +209,8 @@
 #define HID_QUIRK_BADPAD        0x20
 
 /*
- * This is the global enviroment of the parser. This information is
- * persistent for main-items. The global enviroment can be saved and
+ * This is the global environment of the parser. This information is
+ * persistent for main-items. The global environment can be saved and
  * restored with PUSH/POP statements.
  */
 
@@ -228,7 +228,7 @@
 };
 
 /*
- * This is the local enviroment. It is resistent up the next main-item.
+ * This is the local environment. It is persistent up the next main-item.
  */
 
 #define HID_MAX_DESCRIPTOR_SIZE		4096
diff -Nru a/drivers/usb/media/konicawc.c b/drivers/usb/media/konicawc.c
--- a/drivers/usb/media/konicawc.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/media/konicawc.c	Mon Mar 17 11:46:18 2003
@@ -65,7 +65,7 @@
 #endif
 
 
-/* Some default values for inital camera settings,
+/* Some default values for initial camera settings,
    can be set by modprobe */
 
 static enum frame_sizes size;	
diff -Nru a/drivers/usb/media/pwc-ctrl.c b/drivers/usb/media/pwc-ctrl.c
--- a/drivers/usb/media/pwc-ctrl.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/media/pwc-ctrl.c	Mon Mar 17 11:46:18 2003
@@ -129,7 +129,7 @@
      4 compression modi: none, low, medium, high
      
    When an uncompressed mode is not available, the next available compressed mode 
-   will be choosen (unless the decompressor is absent). Sometimes there are only
+   will be chosen (unless the decompressor is absent). Sometimes there are only
    1 or 2 compressed modes available; in that case entries are duplicated.
 */
 struct Timon_table_entry 
diff -Nru a/drivers/usb/media/pwc-if.c b/drivers/usb/media/pwc-if.c
--- a/drivers/usb/media/pwc-if.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/media/pwc-if.c	Mon Mar 17 11:46:18 2003
@@ -255,7 +255,7 @@
 		return -ENXIO;
 	}
 #endif	
-	/* Allocate Isochronuous pipe buffers */
+	/* Allocate Isochronous pipe buffers */
 	for (i = 0; i < MAX_ISO_BUFS; i++) {
 		if (pdev->sbuf[i].data == NULL) {
 			kbuf = kmalloc(ISO_BUFFER_SIZE, GFP_KERNEL);
@@ -811,7 +811,7 @@
 	
 	if (pdev->vmax_packet_size < 0 || pdev->vmax_packet_size > ISO_MAX_FRAME_SIZE) {
 		Err("Failed to find packet size for video endpoint in current alternate setting.\n");
-		return -ENFILE; /* Odd error, that should be noticable */
+		return -ENFILE; /* Odd error, that should be noticeable */
 	}
 
 	/* Set alternate interface */
@@ -2040,7 +2040,7 @@
 	if (leds[1] >= 0)
 		led_off = leds[1];
 
-	/* Big device node whoopla. Basicly, it allows you to assign a 
+	/* Big device node whoopla. Basically, it allows you to assign a 
 	   device node (/dev/videoX) to a camera, based on its type 
 	   & serial number. The format is [type[.serialnumber]:]node.
 
diff -Nru a/drivers/usb/media/pwc-uncompress.c b/drivers/usb/media/pwc-uncompress.c
--- a/drivers/usb/media/pwc-uncompress.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/media/pwc-uncompress.c	Mon Mar 17 11:46:18 2003
@@ -32,7 +32,7 @@
 
 /* Should the pwc_decompress structure ever change, we increase the 
    version number so that we don't get nasty surprises, or can 
-   dynamicly adjust our structure.
+   dynamically adjust our structure.
  */
 const int pwc_decompressor_version = PWC_MAJOR;
 
diff -Nru a/drivers/usb/media/pwc.h b/drivers/usb/media/pwc.h
--- a/drivers/usb/media/pwc.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/media/pwc.h	Mon Mar 17 11:46:18 2003
@@ -147,7 +147,7 @@
       2. data is synchronized and packed into a frame buffer
       3a. in case data is compressed, decompress it directly into image buffer
       3b. in case data is uncompressed, copy into image buffer with viewport
-      4. data is transfered to the user process
+      4. data is transferred to the user process
 
       Note that MAX_ISO_BUFS != MAX_FRAMES != MAX_IMAGES.... 
       We have in effect a back-to-back-double-buffer system.
diff -Nru a/drivers/usb/media/se401.c b/drivers/usb/media/se401.c
--- a/drivers/usb/media/se401.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/media/se401.c	Mon Mar 17 11:46:18 2003
@@ -692,7 +692,7 @@
 /*
 	This shouldn't really be done in a v4l driver....
 	But it does make the image look a lot more usable.
-	Basicly it lifts the dark pixels more than the light pixels.
+	Basically it lifts the dark pixels more than the light pixels.
 */
 static inline void enhance_picture(unsigned char *frame, int len)
 {
diff -Nru a/drivers/usb/media/vicam.c b/drivers/usb/media/vicam.c
--- a/drivers/usb/media/vicam.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/media/vicam.c	Mon Mar 17 11:46:18 2003
@@ -531,7 +531,7 @@
 		return -ENODEV;
 
 	switch (ioctlnr) {
-		/* query capabilites */
+		/* query capabilities */
 	case VIDIOCGCAP:
 		{
 			struct video_capability b;
diff -Nru a/drivers/usb/misc/auerswald.c b/drivers/usb/misc/auerswald.c
--- a/drivers/usb/misc/auerswald.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/misc/auerswald.c	Mon Mar 17 11:46:18 2003
@@ -687,10 +687,10 @@
    This function sends a simple control message to a specified endpoint
    and waits for the message to complete, or timeout.
 
-   If successful, it returns the transfered length, othwise a negative error number.
+   If successful, it returns the transferred length, otherwise a negative error number.
 
    Don't use this function from within an interrupt context, like a
-   bottom half handler.  If you need a asyncronous message, or need to send
+   bottom half handler.  If you need an asynchronous message, or need to send
    a message from within interrupt context, use auerchain_submit_urb()
 */
 static int auerchain_control_msg (pauerchain_t acp, struct usb_device *dev, unsigned int pipe, __u8 request, __u8 requesttype,
@@ -814,7 +814,7 @@
         }
         return 0;
 
-bl_fail:/* not enought memory. Free allocated elements */
+bl_fail:/* not enough memory. Free allocated elements */
         dbg ("auerbuf_setup: no more memory");
         auerbuf_free_buffers (bcp);
         return -ENOMEM;
@@ -1083,7 +1083,7 @@
                 /* can we do something more?
 		   This is a big problem: if this int packet is ignored, the
 		   device will wait forever and not signal any more data.
-		   The only real solution is: having enought buffers!
+		   The only real solution is: having enough buffers!
 		   Or perhaps temporary disabling the int endpoint?
 		*/
 		goto exit;
@@ -1130,7 +1130,7 @@
 }
 
 /* This function is called to activate the interrupt
-   endpoint. This function returns 0 if successfull or an error code.
+   endpoint. This function returns 0 if successful or an error code.
    NOTE: no mutex please!
 */
 static int auerswald_int_open (pauerswald_t cp)
@@ -1181,7 +1181,7 @@
 }
 
 /* This function is called to deactivate the interrupt
-   endpoint. This function returns 0 if successfull or an error code.
+   endpoint. This function returns 0 if successful or an error code.
    NOTE: no mutex please!
 */
 static int auerswald_int_release (pauerswald_t cp)
@@ -1713,7 +1713,7 @@
 		return -ERESTARTSYS;
 	}
 
-	/* try to read the incomming data again */
+	/* try to read the incoming data again */
 	goto doreadlist;
 }
 
@@ -2075,7 +2075,7 @@
    The argument  dev specifies the device context and the  driver_context
    returns a pointer to the previously registered  driver_context of the
    probe function. After returning from the disconnect function the USB
-   framework completly deallocates all data structures associated with
+   framework completely deallocates all data structures associated with
    this device. So especially the usb_device structure must not be used
    any longer by the usb driver.
 */
diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/misc/speedtouch.c	Mon Mar 17 11:46:18 2003
@@ -193,7 +193,7 @@
 static const char udsl_driver_name [] = "speedtch";
 
 /*
- * atm driver prototypes and stuctures
+ * atm driver prototypes and structures
  */
 
 static void udsl_atm_dev_close (struct atm_dev *dev);
diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/net/usbnet.c	Mon Mar 17 11:46:18 2003
@@ -1707,7 +1707,7 @@
 
 /*-------------------------------------------------------------------------*/
 
-// posts reads, and enables write queing
+// posts reads, and enables write queuing
 
 // precondition: never called in_interrupt
 
diff -Nru a/drivers/usb/serial/belkin_sa.c b/drivers/usb/serial/belkin_sa.c
--- a/drivers/usb/serial/belkin_sa.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/belkin_sa.c	Mon Mar 17 11:46:18 2003
@@ -215,7 +215,7 @@
 	dbg("%s port %d", __FUNCTION__, port->number);
 
 	/*Start reading from the device*/
-	/* TODO: Look at possibility of submitting mulitple URBs to device to
+	/* TODO: Look at possibility of submitting multiple URBs to device to
 	 *       enhance buffering.  Win trace shows 16 initial read URBs.
 	 */
 	port->read_urb->dev = port->serial->dev;
diff -Nru a/drivers/usb/serial/cyberjack.c b/drivers/usb/serial/cyberjack.c
--- a/drivers/usb/serial/cyberjack.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/cyberjack.c	Mon Mar 17 11:46:18 2003
@@ -302,7 +302,7 @@
 		short old_rdtodo = priv->rdtodo;
 		int result;
 
-		/* This is a announcement of comming bulk_ins. */
+		/* This is a announcement of coming bulk_ins. */
 		unsigned short size = ((unsigned short)data[3]<<8)+data[2]+3;
 
 		if( (size>259) || (size==0) ) {
diff -Nru a/drivers/usb/serial/io_edgeport.c b/drivers/usb/serial/io_edgeport.c
--- a/drivers/usb/serial/io_edgeport.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/io_edgeport.c	Mon Mar 17 11:46:18 2003
@@ -1086,7 +1086,7 @@
 		return -ENODEV;
 	}
 
-	/* now wait for the port to be completly opened */
+	/* now wait for the port to be completely opened */
 	timeout = OPEN_TIMEOUT;
 	while (timeout && edge_port->openPending == TRUE) {
 		timeout = interruptible_sleep_on_timeout (&edge_port->wait_open, timeout);
diff -Nru a/drivers/usb/serial/io_ionsp.h b/drivers/usb/serial/io_ionsp.h
--- a/drivers/usb/serial/io_ionsp.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/io_ionsp.h	Mon Mar 17 11:46:18 2003
@@ -19,7 +19,7 @@
 The data to and from all ports on the peripheral is multiplexed
 through a single endpoint pair (EP1 since it supports 64-byte
 MaxPacketSize). Therefore, the data, commands, and status for
-each port must be preceeded by a short header identifying the
+each port must be preceded by a short header identifying the
 destination port. The header also identifies the bytes that follow
 as data or as command/status info.
 
diff -Nru a/drivers/usb/serial/ir-usb.c b/drivers/usb/serial/ir-usb.c
--- a/drivers/usb/serial/ir-usb.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/ir-usb.c	Mon Mar 17 11:46:18 2003
@@ -471,7 +471,7 @@
 
 			/*
 			 * Bypass flip-buffers, and feed the ldisc directly
-			 * due to our potentally large buffer size.  Since we
+			 * due to our potentially large buffer size.  Since we
 			 * used to set low_latency, this is exactly what the
 			 * tty layer did anyway :)
 			 */
@@ -553,7 +553,7 @@
 		/* 
 		 * FIXME, we should compare the baud request against the
 		 * capability stated in the IR header that we got in the
-		 * startup funtion.
+		 * startup function.
 		 */
 		switch (cflag & CBAUD) {
 			case B2400:    ir_baud = SPEED_2400;    break;
diff -Nru a/drivers/usb/serial/keyspan_usa26msg.h b/drivers/usb/serial/keyspan_usa26msg.h
--- a/drivers/usb/serial/keyspan_usa26msg.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/keyspan_usa26msg.h	Mon Mar 17 11:46:18 2003
@@ -23,7 +23,7 @@
    	notice, this list of conditions and the following disclaimer in the
    	documentation and/or other materials provided with the distribution.
 
-	3. The name of InnoSys Incorprated may not be used to endorse or promote
+	3. The name of InnoSys Incorporated may not be used to endorse or promote
    	products derived from this software without specific prior written
    	permission.
 
diff -Nru a/drivers/usb/serial/keyspan_usa28msg.h b/drivers/usb/serial/keyspan_usa28msg.h
--- a/drivers/usb/serial/keyspan_usa28msg.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/keyspan_usa28msg.h	Mon Mar 17 11:46:18 2003
@@ -23,7 +23,7 @@
    	notice, this list of conditions and the following disclaimer in the
    	documentation and/or other materials provided with the distribution.
 
-	3. The name of InnoSys Incorprated may not be used to endorse or promote
+	3. The name of InnoSys Incorporated may not be used to endorse or promote
    	products derived from this software without specific prior written
    	permission.
 
diff -Nru a/drivers/usb/serial/keyspan_usa49msg.h b/drivers/usb/serial/keyspan_usa49msg.h
--- a/drivers/usb/serial/keyspan_usa49msg.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/keyspan_usa49msg.h	Mon Mar 17 11:46:18 2003
@@ -23,7 +23,7 @@
    	notice, this list of conditions and the following disclaimer in the
    	documentation and/or other materials provided with the distribution.
 
-	3. The name of InnoSys Incorprated may not be used to endorse or promote
+	3. The name of InnoSys Incorporated may not be used to endorse or promote
    	products derived from this software without specific prior written
    	permission.
 
diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/usb-serial.c	Mon Mar 17 11:46:18 2003
@@ -229,7 +229,7 @@
  * (01/23/2000) gkh
  *	Fixed problem of crash when trying to open a port that didn't have a
  *	device assigned to it. Made the minor node finding a little smarter,
- *	now it looks to find a continous space for the new device.
+ *	now it looks to find a continuous space for the new device.
  *
  * (01/21/2000) gkh
  *	Fixed bug in visor_startup with patch from Miles Lott (milos@insync.net)
@@ -1293,7 +1293,7 @@
 	int i;
 	int result = 0;
 
-	/* Initalize our global data */
+	/* Initialize our global data */
 	for (i = 0; i < SERIAL_TTY_MINORS; ++i) {
 		serial_table[i] = NULL;
 	}
diff -Nru a/drivers/usb/serial/usb-serial.h b/drivers/usb/serial/usb-serial.h
--- a/drivers/usb/serial/usb-serial.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/serial/usb-serial.h	Mon Mar 17 11:46:18 2003
@@ -71,7 +71,7 @@
  * usb_serial_port: structure for the specific ports of a device.
  * @magic: magic number for internal validity of this pointer.
  * @serial: pointer back to the struct usb_serial owner of this port.
- * @tty: pointer to the coresponding tty for this port.
+ * @tty: pointer to the corresponding tty for this port.
  * @number: the number of the port (the minor number).
  * @interrupt_in_buffer: pointer to the interrupt in buffer for this port.
  * @interrupt_in_urb: pointer to the interrupt in struct urb for this port.
diff -Nru a/drivers/usb/storage/isd200.c b/drivers/usb/storage/isd200.c
--- a/drivers/usb/storage/isd200.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/storage/isd200.c	Mon Mar 17 11:46:18 2003
@@ -650,7 +650,7 @@
 /**************************************************************************
  * isd200_write_config
  *									 
- * Write the ISD200 Configuraton data
+ * Write the ISD200 Configuration data
  *
  * RETURNS:
  *    ISD status code
@@ -693,7 +693,7 @@
 /**************************************************************************
  * isd200_read_config
  *									 
- * Reads the ISD200 Configuraton data
+ * Reads the ISD200 Configuration data
  *
  * RETURNS:
  *    ISD status code
@@ -977,7 +977,7 @@
 		/* check for an ATA device */
 		if (info->DeviceFlags & DF_ATA_DEVICE) {
 			/* this must be an ATA device */
-			/* perform an ATA Commmand Identify */
+			/* perform an ATA Command Identify */
 			transferStatus = isd200_action( us, ACTION_IDENTIFY,
 							&info->drive, 
 							sizeof(struct hd_driveid) );
diff -Nru a/drivers/usb/storage/transport.h b/drivers/usb/storage/transport.h
--- a/drivers/usb/storage/transport.h	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/storage/transport.h	Mon Mar 17 11:46:18 2003
@@ -118,7 +118,7 @@
  */
 
 #define USB_STOR_XFER_GOOD	0	/* good transfer                 */
-#define USB_STOR_XFER_SHORT	1	/* transfered less than expected */
+#define USB_STOR_XFER_SHORT	1	/* transferred less than expected */
 #define USB_STOR_XFER_STALLED	2	/* endpoint stalled              */
 #define USB_STOR_XFER_ERROR	3	/* transfer died in the middle   */
 
diff -Nru a/drivers/usb/usb-skeleton.c b/drivers/usb/usb-skeleton.c
--- a/drivers/usb/usb-skeleton.c	Mon Mar 17 11:46:18 2003
+++ b/drivers/usb/usb-skeleton.c	Mon Mar 17 11:46:18 2003
@@ -64,7 +64,7 @@
 #define DRIVER_AUTHOR "Greg Kroah-Hartman, greg@kroah.com"
 #define DRIVER_DESC "USB Skeleton Driver"
 
-/* Module paramaters */
+/* Module parameters */
 MODULE_PARM(debug, "i");
 MODULE_PARM_DESC(debug, "Debug enabled or not");
 
